Summary: This will configure the LC_COLLATE variable for Fermilab. 
Name: zz_lang_collate
Version: 1.0
Release: 6
License: GPL
Group: Fermi
URL: http://www.fnal.gov/cd/UNIX/linux/
Vendor: Fermilab
Packager: Kevin Hill
BuildArch: noarch

%description

This rpm adds the proper LC_COLLATE enviornment variable to
/etc/sysconfig/i18n to return ls output, etc, to the proper case sensitive
sort order. This will only add LC_COLLATE if it isn't already defined in
/etc/sysconfig/i18n and LANG is set to en_US.
 
%files
%post

#
# This will append a line to /etc/sysconfig/i18n if it exists and
# doesn't contain a LC_COLLATE definition and the LANG is set 
#

file=/etc/sysconfig/i18n
 
if [ -f $file ] && \
        [ `grep -E ^LANG= $file | grep en_US | wc -l` -eq 1 ] && \
        [ `grep -E '^LC_COLLATE=' $file | wc -l` -eq 0 ]
then
        echo 'LC_COLLATE="C"' >>$file
fi

%changelog
* Mon May 16 2011 Troy Dawson <dawson@fnal.gov> 1.0-6
- Recompiled for SLF6

